<?php
session_start();
ob_start();
if ($_SESSION['islogin']=='' ) { 
  echo "ΠΡΕΠΕΙ ΝΑ ΕΓΓΡΑΦΕΙΤΕ ΓΙΑ ΝΑ ΧΡΗΣΙΜΟΠΟΙΗΣΕΤΕ ΤΟ ΣΥΣΤΗΜΑ"."<BR>";
  sleep(3);
  header("Location: loginall.php"); /* Redirect browser */
  exit();
  }
//$menu = $_SESSION['menu'];
include "logo.php";
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
</head>
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid green;padding:2px;font-size:10pt; }
<p style="font-size:10px;"></p>

</style>

<body>
<h2>ΑΠΟΥΣΙΕΣ ΕΚΠΑΙΔΕΥΤΙΚΩΝ</h2>

<?php
require "dbconnect.php"; 
$dt=$_SESSION['dt'];
$pmpdate=$_GET['data'];
$arr=explode("/",$pmpdate);
$pmp=$arr[0];$datefrom=$arr[1];$dateto=$datefrom;
$sql=mysqli_query($con,"select Name from teachers where PMP='$pmp'");
$row=mysqli_fetch_array($sql);
$name=$row['Name'];

$sql=mysqli_query($con,"select * from apousieskath where pmp='$pmp' and datefrom='$datefrom'" );
$row=mysqli_fetch_array($sql);
  $dateto=$row['dateto'];
  $perfrom=$row['perfrom'];
  $perto=$row['perto'];
  $atype=$row['type'];
  $reason=$row['reason'];
  $sel1=$sel2=$sel3=$sel4="unchecked";
  switch ($atype) {
    case 1 :
        $sel1="checked";
        break;
    case 2 :
        $sel2="checked";
        break;
	case 3 :
	    $sel3="checked";
        break;
	case 4 :
	    $sel4="checked";
        break;
  }	
  
  $sela1=$sela2=$sela3=$sela4=$sela5=$sela6="";  
  switch ($reason) {
    case 1:
        $sela1="selected";
        break;
    case 2:
        $sela2="selected";
        break;
	case 3:
	    $sela3="selected";
        break;
	case 4:
	    $sela4="selected";
        break;
	case 5:
	    $sela5="selected";
        break;
    case 6:
	    $sela6="selected";
        break;		
  }	
  $selb1=$selb2="";  
  $anti=$row['antikatastasi'];
  switch ($anti) {
    case '0':
        $selb1="checked";
        break;
    case '1':
        $selb2="checked";
        break;
  }		
  $status=$row['status'];
  if ($status == 1){$selc="checked";} else {$selc="";}
  $perigrafi=$row['leptomeries'];
?>
<form name = "formX1"  method="post"/>
<fieldset style="width: 700px; ">
<legend>ΣΤΟΙΧΕΙΑ ΑΠΟΥΣΙΑΣ ΕΚΠΑΙΔΕΥΤΙΚΟΥ</legend>
<p><b>ΟΝΟΜΑ:</b><input type='text'  name= 'name' value="<?php echo $name; ?>"  />
&nbsp&nbsp&nbsp&nbsp ΠΜΠ:<input type='text'  name= 'pmp' value="<?php echo $pmp; ?> " size='4'  /></p>

<p>
ΗΜΕΡΟΜΗΝΙΑ ΑΠΟΥΣΙΑΣ: &nbsp&nbspΑΠΟ:<input type='date'  name='datefrom' value="<?php echo $datefrom; ?>" /> 
 ΜΕΧΡΙ:<input type='date'  name='dateto' value="<?php echo $dateto; ?>" /></p>
<p>
ΠΕΡΙΟΔΟΣ ΑΠΟΥΣΙΑΣ: &nbsp&nbspΑΠΟ:<input type='text'  name='perfrom' value="<?php echo $perfrom; ?>" size='2' /> 
 ΜΕΧΡΙ:<input type='text'  name='perto' value="<?php echo $perto; ?>" size='2' /></p>   
<p>
ΤΥΠΟΣ :<b>
<?php
echo "<Input type = 'Radio' name ='atype' ".$sel1." value=1  >Άδεια Απουσίας";
echo "<Input type = 'Radio' name ='atype' ".$sel2." value=2  >Άδεια Ασθενίας";
echo "<Input type = 'Radio' name ='atype' ".$sel3." value=3  >Υπηρεσιακή";
echo "<Input type = 'Radio' name ='atype' ".$sel4." value=4  >Αδεια Διευθυντή";
?>
</b></P>
<p>
<BR>
ΛΟΓΟΣ ΑΠΟΥΣΙΑΣ :<select name='reason'>
<?php
  echo "<option ".$selected." value=1  >1 - Προσωπικοί λόγοι</option>";
  echo "<option ".$selected." value=2  >2 - Υπηρεσία Ε.Φ</option>";
  echo "<option ".$selected." value=3  >3 - Μη Πιστοποιημένη Άδεια</option>";
  echo "<option ".$selected." value=4  >4 - Άδεια Ιατρού</option>";
  echo "<option ".$selected." value=5  >5 - Υπηρεσιακός</option>";
  echo "<option ".$selected." value=6  >6 - Άλλος λόγος</option>";
?>  
</select>

&nbsp&nbsp&nbsp&nbspΑΝΤΙΚΑΤΑΣΤΑΣΗ:<b>
<Input type = 'Radio' name ='anti' <?php echo $selb1;?> value= '1' >ΝΑΙ
<Input type = 'Radio' name ='anti' <?php echo $selb2;?> value= '0' >ΟΧΙ
</b> 
<p>
ΛΕΠΤΟΜΕΡΙΕΣ:<br />
<textarea name='perigrafi' cols='80' rows='5'><?php echo ltrim(rtrim($perigrafi));?></textarea><br/ ><br />
</p>
ΟΛΟΚΛΗΡΩΘΗΚΕ:<input type='checkbox'  name='status' <?php echo $selc;?> value="1"  /></p> 

<br />
<input type="submit" name="apoukath1" value="Υποβολή Στοιχείων" >
</fieldset>
</form>
<?php
if (isset($_POST['apoukath1']))
{
  $pmp=$_POST['pmp'];
  $datefrom=$_POST['datefrom'];
  $dateto=$_POST['dateto'];
  $perfrom=$_POST['perfrom'];
  $perto=$_POST['perto'];
  $atype=$_POST['atype'];
  $reason=$_POST['reason'];
  $anti=$_POST['anti'];
  $status=$_POST['status'];
  $leptomeries=$_POST['perigrafi'];
  $sql = "UPDATE apousieskath SET dateto='$dateto',perfrom='$perfrom',perto='$perto',type='$atype',
  reason='$reason',antikatastasi='$anti',status='$status',leptomeries='$leptomeries' where datefrom='$datefrom' and pmp='$pmp'  ";
  if (mysqli_query($con, $sql)) {
    echo "Η εγγραφή ενημερώθηκε με επιτυχία!";
  } else {
    echo "Πρόβλημα: " . mysqli_error($conn);
  }

  mysqli_close($con);
 
  
}
?>	
<br />	<br />	
<input type='button' value='Κλείσιμο Παραθύρου & Επιστροφή' onclick='javascript: window.close();' />
</body>
</html>